base_path=${1-"."}
ckpt=${2-"None"}
port=${3-15034}
metric=rougeL

for data in uinst vicuna dolly self_inst sinst
do
    # Evaluate SFT
    for seed in 10 20 30 40 50
    do
        CUDA_VISIBLE_DEVICES=0 bash ${base_path}/scripts/opt/eval/eval_main_${data}.sh ${base_path} ${port} 1 ${ckpt} --seed $seed  --eval-batch-size 16
    done
done

python ${base_path}/compute_score.py --name ${ckpt} --metric ${metric}
